# Class TransferwiseUsdAccountPayload

#### Hierarchy

- unknown
  - TransferwiseUsdAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5001
- Defined in src/protobuf/pb_pb.d.ts:5019

#####
Index

### Constructors

constructor

### Methods

getBeneficiaryAddress
getEmail
getHolderName
serializeBinary
setBeneficiaryAddress
setEmail
setHolderName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TransferwiseUsdAccountPayload(): TransferwiseUsdAccountPayload

- #### Returns TransferwiseUsdAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getBeneficiaryAddress

- getBeneficiaryAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5008

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5002

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5005

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5011

### setBeneficiaryAddress

- setBeneficiaryAddress(value: string): TransferwiseUsdAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5009

### setEmail

- setEmail(value: string): TransferwiseUsdAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5003

### setHolderName

- setHolderName(value: string): TransferwiseUsdAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5006

### toObject

- toObject(includeInstance?: boolean): TransferwiseUsdAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TransferwiseUsdAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5012

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TransferwiseUsdAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5015

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TransferwiseUsdAccountPayload, reader: BinaryReader): TransferwiseUsdAccountPayload

- #### Parameters

  - ##### message: TransferwiseUsdAccountPayload

  - ##### reader: BinaryReader

  #### Returns TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5016

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TransferwiseUsdAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TransferwiseUsdAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5014

### `Static` toObject

- toObject(includeInstance: boolean, msg: TransferwiseUsdAccountPayload): TransferwiseUsdAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TransferwiseUsdAccountPayload

  #### Returns TransferwiseUsdAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5013

Generated using TypeDoc